CREATE TABLE "RULE_DESC_SECTIONS"(
    "UUID" CHARACTER VARYING(40) NOT NULL,
    "RULE_UUID" CHARACTER VARYING(40) NOT NULL,
    "KEE" CHARACTER VARYING(50) NOT NULL,
    "CONTENT" CHARACTER LARGE OBJECT NOT NULL
);
ALTER TABLE "RULE_DESC_SECTIONS" ADD CONSTRAINT "PK_RULE_DESC_SECTIONS" PRIMARY KEY("UUID");
CREATE UNIQUE INDEX "UNIQ_RULE_DESC_SECTIONS_KEE" ON "RULE_DESC_SECTIONS"("RULE_UUID" NULLS FIRST, "KEE" NULLS FIRST);

CREATE TABLE "RULES"(
    "UUID" CHARACTER VARYING(40) NOT NULL,
    "NAME" CHARACTER VARYING(200),
    "PLUGIN_RULE_KEY" CHARACTER VARYING(200) NOT NULL,
    "PLUGIN_KEY" CHARACTER VARYING(200),
    "PLUGIN_CONFIG_KEY" CHARACTER VARYING(200),
    "PLUGIN_NAME" CHARACTER VARYING(255) NOT NULL,
    "SCOPE" CHARACTER VARYING(20) NOT NULL,
    "DESCRIPTION" CHARACTER LARGE OBJECT,
    "PRIORITY" INTEGER,
    "STATUS" CHARACTER VARYING(40),
    "LANGUAGE" CHARACTER VARYING(20),
    "DEF_REMEDIATION_FUNCTION" CHARACTER VARYING(20),
    "DEF_REMEDIATION_GAP_MULT" CHARACTER VARYING(20),
    "DEF_REMEDIATION_BASE_EFFORT" CHARACTER VARYING(20),
    "GAP_DESCRIPTION" CHARACTER VARYING(4000),
    "SYSTEM_TAGS" CHARACTER VARYING(4000),
    "IS_TEMPLATE" BOOLEAN DEFAULT FALSE NOT NULL,
    "DESCRIPTION_FORMAT" CHARACTER VARYING(20),
    "RULE_TYPE" TINYINT,
    "SECURITY_STANDARDS" CHARACTER VARYING(4000),
    "IS_AD_HOC" BOOLEAN NOT NULL,
    "IS_EXTERNAL" BOOLEAN NOT NULL,
    "CREATED_AT" BIGINT,
    "UPDATED_AT" BIGINT,
    "TEMPLATE_UUID" CHARACTER VARYING(40)
);
ALTER TABLE "RULES" ADD CONSTRAINT "PK_RULES" PRIMARY KEY("UUID");
CREATE UNIQUE INDEX "RULES_REPO_KEY" ON "RULES"("PLUGIN_RULE_KEY" NULLS FIRST, "PLUGIN_NAME" NULLS FIRST);
