CREATE TABLE "LIVE_MEASURES"(
    "UUID" CHARACTER VARYING(40) NOT NULL,
    "PROJECT_UUID" CHARACTER VARYING(50) NOT NULL,
    "COMPONENT_UUID" CHARACTER VARYING(50) NOT NULL,
    "METRIC_UUID" CHARACTER VARYING(40) NOT NULL,
    "VALUE" DOUBLE PRECISION,
    "TEXT_VALUE" CHARACTER VARYING(4000),
    "VARIATION" DOUBLE PRECISION,
    "MEASURE_DATA" BINARY LARGE OBJECT,
    "UPDATE_MARKER" CHARACTER VARYING(40),
    "CREATED_AT" BIGINT NOT NULL,
    "UPDATED_AT" BIGINT NOT NULL
);
ALTER TABLE "LIVE_MEASURES" ADD CONSTRAINT "PK_LIVE_MEASURES" PRIMARY KEY("UUID");
CREATE INDEX "LIVE_MEASURES_PROJECT" ON "LIVE_MEASURES"("PROJECT_UUID" NULLS FIRST);
CREATE UNIQUE INDEX "LIVE_MEASURES_COMPONENT" ON "LIVE_MEASURES"("COMPONENT_UUID" NULLS FIRST, "METRIC_UUID" NULLS FIRST);
